
#include "Othello.h"



LRESULT CALLBACK WindowProc (
	HWND hWnd, UINT uMsg, WPARAM wParam, LPARAM lParam
) {

	switch(uMsg) {

	case WM_DESTROY:

		Othello_free();
		PostQuitMessage(0);
		return 0;

	case WM_CREATE:

		Othello_init();
		return 0;

	case WM_PAINT:	/*EBhE̍XV*/

		Othello_draw(hWnd);
		return 0;

	case WM_MOUSEMOVE:	/*}EXړ*/
		return 0;

	case WM_LBUTTONUP:	/*}EXAL{^UP*/
		return 0;

	case WM_RBUTTONUP:	/*}EXAR{^UP*/
		return 0;

	case WM_KEYUP:	/*@F1 L[{[hƃZbg*/
		return 0;

	}
	return DefWindowProc(hWnd , uMsg , wParam , lParam);
}

int WINAPI WinMain(
	HINSTANCE hInstance, HINSTANCE hPrevInstance,
	PSTR lpCmdLine, int nCmdShow
) {
	WNDCLASS wc;
	MSG msg;
	HBRUSH hBrush = CreateSolidBrush(RGB(0x60, 0xC0, 0x60));

	wc.style		= CS_HREDRAW | CS_VREDRAW;
	wc.lpfnWndProc	= WindowProc;
	wc.cbClsExtra	= 0;
	wc.cbWndExtra	= 0;
	wc.hInstance	= hInstance;
	wc.hIcon		= LoadIcon(NULL , IDI_APPLICATION);
	wc.hCursor		= LoadCursor(NULL , IDC_ARROW);
	wc.hbrBackground= hBrush;	// (HBRUSH)COLOR_BACKGROUND + 1;
	wc.lpszMenuName	= NULL;
	wc.lpszClassName= APP_NAME;

	if (!RegisterClass(&wc)) return 0;

	if (CreateWindow(
		APP_NAME ,
		APP_TITLE,		//	TEXT(__FILE__) ,
		WS_OVERLAPPEDWINDOW | WS_VISIBLE,
		0,	// CW_USEDEFAULT
		0,	// CW_USEDEFAULT	
		LINE_WIDTH * LINE_COUNT + WINDOW_SIZE_WIDTH,	// CW_USEDEFAULT 
		LINE_WIDTH * LINE_COUNT + WINDOW_SIZE_HEIGHT,	// CW_USEDEFAULT 
		NULL , NULL , hInstance , NULL
	) == NULL) return 0;

	while(GetMessage(&msg , NULL , 0 , 0) > 0) {
		DispatchMessage(&msg);
	}

	DeleteObject(hBrush); 
	return (int)msg.wParam;
}
